From 7163fe1d5315ffcca5e0e5b704c02eef55d819f0 Mon Sep 17 00:00:00 2001
From: Alvaro Herrera <alvherre@alvh.no-ip.org>
Date: Mon, 20 May 2024 18:01:45 +0200
Subject: [PATCH 2/2] Fix typo

Confusion induced by change of meaning of "omit/include" flag for
pending-detach partitions during development.

Noted by Tender Wang.
---
 src/backend/executor/execPartition.c | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/backend/executor/execPartition.c b/src/backend/executor/execPartition.c
index 637e5bac5d..1184ca4096 100644
--- a/src/backend/executor/execPartition.c
+++ b/src/backend/executor/execPartition.c
@@ -1871,7 +1871,7 @@ CreatePartitionPruneState(PlanState *planstate, PartitionPruneInfo *pruneinfo)
 	int			i;
 	ExprContext *econtext = planstate->ps_ExprContext;
 
-	/* For data reading, executor always omits detached partitions */
+	/* For data reading, executor always includes detached partitions. */
 	if (estate->es_partition_directory == NULL)
 		estate->es_partition_directory =
 			CreatePartitionDirectory(estate->es_query_cxt, false);
-- 
2.39.2

